lp:ubuntu/utopic-proposed/hplip

Created by Ubuntu Package Importer on 2014-04-30 and last modified on 2015-06-24
Get this branch:
bzr branch lp:ubuntu/utopic-proposed/hplip
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Mature

Recent revisions

48. By Micah Gersten on 2015-06-22

Backport patch from vivid to allow non-JPEG scanning on the HP DeskJet 3520
All-in-One and similar devices. Thanks to Lubos Dolezel for the patch.
Refreshed patch against trusty package (LP: #1245578)

47. By Harald Sitter on 2014-07-29

Add process-events-for-systray.patch to enable sni-qt compatiblity to
allow hp-systray to continue working in Plasma 5.x workspaces.

46. By Mark Purcell on 2014-06-15

* New upstream release
  - Fixed Device Communication Error on launching HP Device Manager
  - Unable to add/remove file in 'hp-sendfax' wizard
  - Fax cover page does not get changed after changing recipient second time
  - Improved scan performance for 'hp-scan' utility
  - Fixes "hplip is outdated in jessie : please upgrade" (Closes: #748132)

45. By Mark Purcell on 2014-01-19

* New upstream release
  - CVE-2013-6427: hplip: insecure auto update feature
  - CVE-2013-6402: hplip: insecure temporary file handling in pkit.py

[ Till Kamppeter ]
* debian/control: Changed Depends/Recommends on foomatic-filters to
  "cups-filters (>= 1.0.42) | foomatic-filters" as foomatic-rip has
  moved to cups-filters from version 1.0.42 on (Closes: #734140).

[ Mark Purcell ]
* Ack NMU - thanks ~carnil
* Drop CVE-2013-6402.patch - addressed upstream

44. By Salvatore Bonaccorso on 2014-01-12

* Non-maintainer upload.
* Add CVE-2013-6402.patch patch.
  CVE-2013-6402: Fix insecure temporary files handling in pkit.py.
  (Closes: #725876)
* Add missing dh_bugfiles invocation in binary-indep target

43. By Mark Purcell on 2013-12-15

* Urgency medium for CVE fix
* Sync with ubuntu - thks ~marc.deslauriers
  - Fixes "CVE-2013-6427: insecure (undocumented) auto update feature"
  (Closes: #731480)

42. By Mark Purcell on 2013-12-11

* New upstream release
  - Includes fix for CVE-2013-4325:Insecure Polkit use (Closes: #723716)
  - Drop debian/patches/CVE-2013-4325.patch
  - hp-mkuri no longer ships
* Drop hp-mkuri-take-into-account-already-installed-plugin-also-for-
  exit-value.dpatch & ubuntu-hp-mkuri-notification-text.dpatch
* quilt refresh
* hplip-doc.install -> hplip-doc.docs

41. By Mark Purcell on 2013-10-12

* Build-Depends: libusb2-dev [kfreebsd-any] - Thks Petr
  - Fixes "no longer buildable on kfreebsd-*" (Closes: #725616)
* Update X-Python-Version: >= 2.7.5
  - Fixes "hplip-data depends on python:any (>= 2.6.6-7~)" (Closes: #724705)

40. By Mark Purcell on 2013-09-21

* New upstream release
* Fix CVE-2013-4325 hplip: Insecure calling of polkit
  - Apply Redhat patch (Closes: #723716)
  - Urgency medium
* Fix "Rebuild against pyppd 1.0.1" patch from OdyX (Closes: #722695)

39. By Mark Purcell on 2013-08-17

* New Upstream Release
* Update Vcs: header
* Fixup field "section" in package hpijs-ppds
* Update libhpmud-dev Description: - duplicate-long-description
* Update debian/copyright - fixes copyright-refers-to-symlink-license
* Update Description: - fixes extended-description-is-probably-too-short

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/vivid/hplip
This branch contains Public information 
Everyone can see this information.

Subscribers